""" EEA RDF Repository installer
"""
from setuptools import setup, find_packages
from os.path import join

NAME = 'eea.rdfrepository'
PATH = ['src'] + NAME.split('.') + ['version.txt']
VERSION = open(join(*PATH)).read().strip()

setup(name=NAME,
      version = VERSION,
      url = "http://svn.eionet.europa.eu/projects/"
            "Zope/browser/trunk/eea.rdfrepository",
      description = 'RDF Repository',
      author = 'Tiberiu Ichim (EauDeWeb), Tim Terlegard, '
               'Sasha Vincic, European Enviromental Agency',
      author_email = "webadmin@eea.europa.eu",
      long_description = file('README.txt').read(),
      classifiers = [
          "Framework :: Plone",
          "Programming Language :: Python",
          "Topic :: Software Development :: Libraries :: Python Modules",
          ],
      keywords='EEA rdf repository',
      license='GPL',
      packages = find_packages('src'),
      package_dir = {'': 'src'},
      namespace_packages = ['eea'],
      include_package_data = True,
      zip_safe = False,
      install_requires=[
          "setuptools",
      ],
      entry_points="""
      # -*- Entry points: -*-
      """,
      )


