""" Test RDF Repository
"""
import unittest
import doctest
from eea.rdfrepository.discover import DiscoverAdapter
from eea.rdfrepository.interfaces import IRDFRepository
from eea.rdfrepository.rdfrepository import RDFRepository
from eea.rdfrepository.tests.base import RDFRepositoryTestCase
from zope.component import provideUtility, provideAdapter
from zope.interface import alsoProvides
from Testing.ZopeTestCase import FunctionalDocFileSuite
from zope.app.component.hooks import setSite

optionflags =  (doctest.ELLIPSIS |
                doctest.NORMALIZE_WHITESPACE |
                doctest.REPORT_ONLY_FIRST_FAILURE)

class TestRDFRepository(RDFRepositoryTestCase):
    """ Test RDF Repository
    """

    def afterSetUp(self):
        """ After setup
        """
        setSite(self.portal)
        self.setRoles(['Manager'])

        provideUtility(RDFRepository())
        provideAdapter(DiscoverAdapter)

        # Not used anymore:
        #from os.path import dirname, join
        #from eea.rdfrepository import tests
        #rdf_file = join(dirname(tests.__file__), 'sample.rdf')

        alsoProvides(self.portal, IRDFRepository)
        self.portal.portal_catalog.reindexObject(self.portal)

def test_suite():
    """ Test suite
    """
    return unittest.TestSuite((
        FunctionalDocFileSuite('README.txt',
            test_class=TestRDFRepository,
            package='eea.rdfrepository',
            optionflags=optionflags),
        ))
